@import 'settings';
@import 'sass-rem';


// Typographic mixins
@mixin body-type {
    font-family: $body-font-family;
    font-size: $global-font-size;
    line-height: 1.47;

    @media #{$mobile} {
        font-size: 17px;
    }
}

@mixin small-type {
    font-size: $small-font-size;
    line-height: 1.47;
}

@mixin heading {
    font-size: $heading-font-size;
    font-weight: bold;
    line-height: 1.47;
    text-transform: uppercase;

    @media #{$mobile} {
        font-size: 19px;
    }
}

@mixin heading-medium {
    @include heading;
}

@mixin heading-large {
    @include heading;
}

@mixin heading-larger {
    @include heading-large;
}

@mixin nav-type {
    @include heading-large;
    font-weight: normal;
}

@mixin small-nav-type {
    @include small-type;
    text-transform: uppercase;
}

@mixin ui-type {
    @include small-type;
    font-family: $font-family-sans-alt;
    text-transform: uppercase;
    line-height: 1;

    @media #{$mobile} {
        font-size: 15px;
    }
}

@mixin button-type {
    @include ui-type;
}

@mixin footer-type {
    @include small-type;
    font-weight: normal;
    font-family: $font-family-sans-alt;
}

// Icons
@mixin circle-icon {
    display: inline-block;
    width: 46px;
    height: 46px;
    line-height: 46px + 2px;
    font-size: 28px;
    border-radius: 50%;
    text-align: center;
    color: $black;
    background: transparentize($white, 0.4);
    outline: none;

    &:hover {
        color: $white;
        background: $blue;
    }

    @media #{$tablet} {
        width: 56px;
        height: 56px;
        line-height: 56px + 2px;
        font-size: 32px;
    }
}

@mixin play-icon {
    @include circle-icon;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: $blue;

    &::before {
        position: relative;
        left: 2px;
        top: 1px;
    }

    @media #{$tablet} {
        font-size: 38px;

        &::before {
            left: 2px;
            top: 0;
        }
    }
}

@mixin modal-back-link {
    @include ui-type;
    position: fixed;
    z-index: $zindex-modal;
    bottom: 0;
    left: 0;
    width: 100vw;
    line-height: 36px;
    background: $blue;
    color: $white;
    padding: 12px 10px 10px 10px;
    text-align: center;

    &:hover {
        color: $white;
    }

    .icon-arrow-right {
        position: relative;
        top: -2px;
        margin-right: 5px;
        vertical-align: middle;
        font-size: 26px;

        &::before {
            display: inline-block;
            transform: rotate(180deg);
        }
    }

    @media #{$tablet} {
        padding: 7px 10px 5px 10px;
    }
}
